Get User

Get User
Look up a particular user using its identifier

Using this method, you can look up details about a particular local user

Request
URI
GET
https://{api_host}/suite-api/api/auth/users/{id}
COPY
Path Parameters
string
id
Required

The ID of the user


Authentication
This operation uses the following authentication methods.
Responses
200

Details of the local user

Returns user of type(s) application/json
"No Custom Example is Available"
string
distinguishedName
Optional

distinguished name of the current user.

string
emailAddress
Optional

The email address of the current user

boolean
enabled
Optional

Is the current user's account enabled?

string
externalId
Optional

External ID of vIDB user. This field is only used in vIDB user import flow. It will not be populated for any other scenarios. Please note, this field may be removed in future.

string
firstName
Optional

First name of the current user.

array of string
groupIds
Optional

The list of group ids to which the current user belongs to.

string As uuid As uuid
id
Optional

Identifier of the user in the system.

integer As int64 As int64
lastLoginTime
Optional

Last login time

string
lastName
Optional

The last name of the current user.

array of object
links
Optional

Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.

string
password
Required

Password of the user object. When creating a new local user, this field has to be specified.

array of object
role-permissions
Optional

List of role permissions assigned to this user. May be null. Replaces and takes precedence over roleNames

array of string
roleNames
Optional

(Deprecated) List of role names assigned to the user. May be null.

string As ^[^\s,<&"'?+%=>;/#]+$
username
Required

Username of the current user.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/auth/users/{id}
                
Auth Operations
GET
Get Current User
GET
Get Assigned Role Permissions For Current User
GET
Get Current User Role Privileges
GET
Get Available Privilege Groups
GET
Get Available Privileges
GET
Get Roles
POST
Create User Role
PUT
Update User Role
DELETE
Delete User Role
GET
Get Role By Name
DELETE
Remove Role Privileges
GET
Get Role Privileges
POST
Add Role Privileges
PUT
Set Role Privileges
DELETE
Delete Scopes
GET
Get All Object Scopes
POST
Create Scope
PUT
Modify Scope
GET
Get Scope
GET
Get Auth Sources
PATCH
Patch Auth Source With Certificate Details
POST
Add Auth Source
PUT
Update Auth Source
PATCH
Patch Test Auth Source
POST
Test Auth Source
GET
Get VIDB Well Known URL
POST
Search User Groups For Auth Source
PUT
Synchronize User Groups
POST
Import Users
POST
Search Users For Auth Source
DELETE
Delete Auth Source
GET
Get Auth Source
GET
Get Auth Source Types
GET
Get Auth Source Type
POST
Acquire Token
POST
Exchange Ops Token With Jwt Token
POST
Release Token
GET
Get Traversal Specs
DELETE
Delete User Groups
GET
Get User Groups
POST
Create User Group
PUT
Modify User Group
GET
Get Assigned Role Permissions For User Group
PUT
Assign Role Permission To User Group
DELETE
Unassigned Role Permission From User Group
PUT
Assign Traversal Spec To User Group
Deprecated
DELETE
Delete User Group
GET
Get User Group
DELETE
Delete Users
GET
Get Users
POST
Create User
PUT
Modify User
PUT
Change Password
DELETE
Delete User
GET
Get User
GET
Get Assigned Role Permissions For User
PUT
Assign Role Permission To User
DELETE
Unassigned Role Permission From User
PUT
Assign Traversal Spec To User
Deprecated